<?php

declare (strict_types = 1);

namespace App\Nova\Filters;

use Laravel\Nova\Filters\Filter;
use Laravel\Nova\Http\Requests\NovaRequest;

class CompareFilter extends Filter
{

    public $component = 'select-filter';

    public function apply(NovaRequest $request, $query, $value)
    {
        return $query->orderBy('sku', 'DESC')->orderBy($value, 'DESC');
    }

    public function options(NovaRequest $request)
    {
        return [
            'Price' => 'price',
            'Name' => 'name',
            'Description' => 'description'
        ];
    }
}
